com.intellectualcrafters.plot.flag

## Class AbstractFlag

- java.lang.Object
- - com.intellectualcrafters.plot.flag.AbstractFlag

-     public class AbstractFlag
      extends java.lang.Object

  Created 2014-09-23 for PlotSquared

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFlag(java.lang.String key)` AbstractFlag is a parameter used in creating a new Flag

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getKey()` AbstractFlag key
    `java.lang.String` | `getValueDesc()`
    `java.lang.String` | `parseValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFlag

          public AbstractFlag(java.lang.String key)

      AbstractFlag is a parameter used in creating a new Flag
      Parameters:
        `key` - The key must be alphabetical characters and <= 16 characters in length

  - ### Method Detail

    - #### parseValue

          public java.lang.String parseValue(java.lang.String value)

    - #### getValueDesc

          public java.lang.String getValueDesc()

    - #### getKey

          public java.lang.String getKey()

      AbstractFlag key
      Returns:
        String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`